Kickstart, Inter Repo Dependencies Errors For CentOS7 Not For CentOS6

Home » CentOS » Kickstart, Inter Repo Dependencies Errors For CentOS7 Not For CentOS6
CentOS No Comments

Hi all,

I’m testing new “minimal” kickstarts files for CentOS6 and CentOS7. The CentOS6 kickstart works fine, but i’ve a dependency problem with the CentOS7 equivalent.

In my kickstarts, i use network install with following repos/packages (for the repo, the only change is version number 6 <-> 7):

url –url=”http://mirror.in2p3.fr/ftp/linux/CentOS/7/os/x86_64/”
repo –name=”Puppet dependencies” –baseurl=http://yum.puppetlabs.com/el/7/dependencies/x86_64/
repo –name=”Puppet” –baseurl=http://yum.puppetlabs.com/el/7/products/x86_64/

[…]

%package

[…]
# We use puppet from puppetlabs repo puppet
%end
[…]

It works great for CentOS 6, the vm is installed with puppet, but on CentOS7 anaconda complains that there is a dependency problem:
puppet-3.7.1-1.el7.noarch requires ruby-augeas puppet-3.7.1-1.el7.noarch requires ruby-shadow

Puppet package is in “puppet” repo and “missing” dependencies packages are provided by the “puppet dependencies” repo.

The inter-repo dependencies are correctly resolved in CentOS 6 anaconda but it seems that CentOS 7 anaconda fails to resolve inter-repo dependencies. I expected to have the same behavior as CentOS 6 anaconda installer.

Someone else hit this problem ?

Have a nice day.

Regards.

Baptiste.

LEAVE A COMMENT